/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Nat Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU Nat Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU Nat Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef PROFILENETWORKGENERALOPTIONS_H
#define PROFILENETWORKGENERALOPTIONS_H

#include "profilenetworkgeneraloptionsbase.h"
#include <tqwidget.h>

/**
@author Christoph Thielecke
*/
class ProfileNetworkGeneralOptions : public ProfileNetworkGeneralOptionsBase
{
Q_OBJECT
  
public:
	ProfileNetworkGeneralOptions(TQWidget *parent);
	~ProfileNetworkGeneralOptions();
	bool dialogModified;

public slots:
	void mtuToggled(bool);
	void mruToggled(bool);
	void useReconnectDelayToggled(bool);
	void useReconnectAfterDisconnectToggled(bool);
	void pingIpAfterConnectToggled(bool);
	void useConnectionStatusCheckToggled(bool);
	void UseDnsUpdateToggled(bool);
	void useNetworkToggled(bool);

private slots:
	void dialogChanged();

signals:
	void changed();

};

#endif
